/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: GetVirtualMachineByVmIdDelegate.as 760 2011-12-15 22:28:28Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.business
{

import com.adobe.cairngorm.business.ServiceLocator;
import mx.rpc.IResponder;
import org.ow2.sirocco.cloudmanager.utils.logger.Logger;
import org.ow2.sirocco.cloudmanager.model.CloudModelLocator;

public class GetVirtualMachineByVmIdDelegate
{
    public function GetVirtualMachineByVmIdDelegate()
    {
    }
    
    public function getVirtualMachineByVmId(id:String):void
    {
        var model : CloudModelLocator = CloudModelLocator.getInstance();
        Logger.debug("getVirtualMachineByVmId : id = " + id);
        
        // Find service
        var service:Object = ServiceLocator.getInstance().getRemoteObject("AdminService");
        //getService
        // Call service
        var serviceResult:Object = service.getVirtualMachineVoByVmId(id,model.sessionTokenId);
        // Add responder
        serviceResult.addResponder(this.responder);
    }
    
    /**
     * Responder that will handle the answer.
     */
    private var responderObject:IResponder;
    
    /**
     * Sets the given responder for this delegate.
     * @param responderObject the given responder
     */
    public function set responder(responderObject:IResponder):void
    {
        this.responderObject = responderObject;
    }
    
    /**
     * @return the responder
     */
    public function get responder():IResponder
    {
        return this.responderObject;
    }

}

}


