/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: CreateProjectCommand.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.command
{

import com.adobe.cairngorm.commands.*;
import com.adobe.cairngorm.control.*;

import mx.managers.CursorManager;
import mx.rpc.IResponder;

import org.ow2.sirocco.cloudmanager.business.*;
import org.ow2.sirocco.cloudmanager.event.*;
import org.ow2.sirocco.cloudmanager.model.*;


public class CreateUserCommand extends SequenceCommand implements IResponder
{
    
    private var model : CloudModelLocator = CloudModelLocator.getInstance();
    
    
    
    public function CreateUserCommand()
    {
    }
    
    
    
    override public function execute(event : CairngormEvent) : void
    {
        // Set the "busy" cursor
        CursorManager.setBusyCursor();
        
        var createUserEvent : CreateUserEvent = event as CreateUserEvent;
        
        var delegate : CreateUserDelegate = CloudModelLocator.getInstance().createUserDelegate;
        delegate.responder = this;
        
        delegate.createUser(createUserEvent.username, createUserEvent.password, createUserEvent.userMail, createUserEvent.userFirstName, createUserEvent.userLastName);
    }
    
    
    
    public function result(event : Object) : void
    {
        CursorManager.removeAllCursors();
    }
    
    
    
    /**
     * Manage failure : show the error message.
     */
    public function fault(event : Object) : void
    {
        CursorManager.removeAllCursors();
        
        CloudModelLocator.getInstance().onCommandFault(event);
    }
}
}

