/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: CreateVMImageCommand.as 784 2011-12-21 11:02:55Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.command
{

import com.adobe.cairngorm.commands.*;
import com.adobe.cairngorm.control.*;
import org.ow2.sirocco.cloudmanager.business.*;
import org.ow2.sirocco.cloudmanager.event.*;
import org.ow2.sirocco.cloudmanager.model.*;

import mx.controls.Alert;
import mx.managers.CursorManager;
import mx.rpc.IResponder;


public class CreateVMImageCommand extends SequenceCommand implements IResponder
{
    
    private var _vmId : String;
    
    private var name : String;
    
    private var description : String;
    
    private var projectId : String;
    
    private var visibility : Visibility;
    
    private var model : CloudModelLocator = CloudModelLocator.getInstance();
    
    
    
    public function CreateVMImageCommand()
    {
    }
    
    
    
    override public function execute(event : CairngormEvent) : void
    {
        // Set the "busy" cursor
        CursorManager.setBusyCursor();
        
        var createVMImageEvent : CreateVMImageEvent = event as CreateVMImageEvent;
        this.vmId = createVMImageEvent.vmId;
        this.name = createVMImageEvent.name;
        this.visibility = createVMImageEvent.visibility;
        this.projectId = createVMImageEvent.projectId;
        this.description = createVMImageEvent.description;
        
        var delegate : CreateVMImageDelegate = this.model.createVMImageDelegate;
        delegate.responder = this;
        
        delegate.createVMImage(this.projectId, this.visibility, this.vmId, this.name, this.description, this.model.sessionTokenId);
    }
    
    
    
    public function result(event : Object) : void
    {
        CursorManager.removeAllCursors();
    }
    
    
    
    /**
     * Manage failure : show the error message.
     */
    public function fault(event : Object) : void
    {
        CursorManager.removeAllCursors();
        
        CloudModelLocator.getInstance().onCommandFault(event);
    }
    
    
    
    public function get vmId() : String
    {
        return _vmId;
    }
    
    
    
    public function set vmId(value : String) : void
    {
        _vmId = value;
    }

}
}
