/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: CreateVirtualMachineCommand.as 760 2011-12-15 22:28:28Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.command
{
    
    import com.adobe.cairngorm.commands.*;
    import com.adobe.cairngorm.control.*;
    import org.ow2.sirocco.cloudmanager.business.*;
    import org.ow2.sirocco.cloudmanager.event.*;
    import org.ow2.sirocco.cloudmanager.model.*;
    import org.ow2.sirocco.cloudmanager.vo.*;
    
    import mx.managers.CursorManager;
    import mx.rpc.IResponder;
    import mx.rpc.events.ResultEvent;
    
    
    public class CreateVirtualMachineCommand extends SequenceCommand implements IResponder
    {
        
        private var username : String;
        
        private var projectId : String;
        
        private var spec : VirtualMachineSpec;
        
        private var cloudProviderId: String;
        
        private var model : CloudModelLocator = CloudModelLocator.getInstance();
        
        
        
        public function CreateVirtualMachineCommand()
        {
        }
        
        
        
        override public function execute(event : CairngormEvent) : void
        {
            var createVirtualMachineEvent : CreateVirtualMachineEvent = event as CreateVirtualMachineEvent;
            username = createVirtualMachineEvent.username;
            projectId = createVirtualMachineEvent.projectId;
            spec = createVirtualMachineEvent.spec;
            cloudProviderId=createVirtualMachineEvent.cloudProviderId;
            
            var delegate : CreateVirtualMachineDelegate = this.model.createVirtualMachineDelegate;
            delegate.responder = this;
            
            delegate.createVirtualMachine(projectId, username, spec,cloudProviderId);
            this.model.workflowState = CloudModelLocator.USER_VIRTUAL_MACHINES;
            
            var cEvent : CairngormEvent = new GetVirtualMachinesByProjectEvent();
            cEvent.dispatch();
        }
        
        
        
        public function result(event : Object) : void
        {
            this.model.virtualMachinesVoByProjectList.refresh();
        }
        
        
        
        /**
        * Manage failure : show the error message.
        */
        public function fault(event : Object) : void
        {
            this.model.virtualMachinesVoByProjectList.refresh();
            this.model.onCommandFault(event);
        }
    }
}


