/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: CreateVirtualMachineCommand.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.command
{
    
    import com.adobe.cairngorm.commands.*;
    import com.adobe.cairngorm.control.*;
    import org.ow2.sirocco.cloudmanager.business.*;
    import org.ow2.sirocco.cloudmanager.event.*;
    import org.ow2.sirocco.cloudmanager.model.*;
    import org.ow2.sirocco.cloudmanager.vo.*;
    
    import mx.managers.CursorManager;
    import mx.rpc.IResponder;
    import mx.rpc.events.ResultEvent;
    
    
    public class CreateVolumeCommand extends SequenceCommand implements IResponder
    {
        
        private var username : String;
        
        private var projectId : String;
        
        private var cloudProviderAccountId : String;
        
        private var location : CloudProviderLocation;
        
        private var spec : VolumeCreate;
        
        private var model : CloudModelLocator = CloudModelLocator.getInstance();
        
        
        
        public function CreateVolumeCommand()
        {
        }
        
        
        
        override public function execute(event : CairngormEvent) : void
        {
            var createVolumeEvent : CreateVolumeEvent = event as CreateVolumeEvent;
            username = createVolumeEvent.username;
            projectId = createVolumeEvent.projectId;
            cloudProviderAccountId=createVolumeEvent.cloudProviderAccountId;
            location=createVolumeEvent.location;
            spec = createVolumeEvent.spec;
            
            var delegate : CreateVolumeDelegate = this.model.createVolumeDelegate;
            delegate.responder = this;
            
            delegate.createVolume(projectId, username, cloudProviderAccountId, location, spec);
        }
        
        
        
        public function result(event : Object) : void
        {
            this.model.volumeVoByProjectList.refresh();
        }
        
        
        
        /**
         * Manage failure : show the error message.
         */
        public function fault(event : Object) : void
        {
            this.model.volumeVoByProjectList.refresh();
            this.model.onCommandFault(event);
        }
    }
}


