/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: GetDataCenterLocationsCommand.as 552 2011-10-26 10:03:42Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.command
{
    
    import com.adobe.cairngorm.commands.*;
    import com.adobe.cairngorm.control.*;
    
    import mx.collections.ArrayCollection;
    import mx.controls.Alert;
    import mx.managers.CursorManager;
    import mx.messaging.messages.ErrorMessage;
    import mx.rpc.IResponder;
    import mx.rpc.events.FaultEvent;
    import mx.rpc.events.ResultEvent;
    
    import org.ow2.sirocco.cloudmanager.business.*;
    import org.ow2.sirocco.cloudmanager.event.*;
    import org.ow2.sirocco.cloudmanager.model.*;
    import org.ow2.sirocco.cloudmanager.vo.CloudProviderLocation;
    
    public class GetCloudProvidersCommand extends SequenceCommand implements IResponder
    {
        
        public function GetCloudProvidersCommand()
        {
        }
        
        override public function execute(event:CairngormEvent):void
        {
            var getCloudProvidersEvent:GetCloudProvidersEvent = event as GetCloudProvidersEvent;
            
            var delegate:GetCloudProvidersDelegate = CloudModelLocator.getInstance().getCloudProvidersDelegate;
            delegate.responder = this;
            
            delegate.getCloudProviders();
        }
        
        public function result(event:Object):void
        {
            var resultEvent:ResultEvent = event as ResultEvent;
            var arrayCollection:ArrayCollection = resultEvent.result as ArrayCollection;
            
            var model:CloudModelLocator = CloudModelLocator.getInstance();
            
            model.cloudProviders=arrayCollection;
        }
        
        /**
         * Manage failure : show the error message.
         */
        public function fault(event:Object):void
        {
            CursorManager.removeAllCursors();
            
            CloudModelLocator.getInstance().onCommandFault(event);
        }
    }
}


