/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: GetVirtualMachineExtendedInfoCommand.as 760 2011-12-15 22:28:28Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.command
{

import com.adobe.cairngorm.commands.*;
import com.adobe.cairngorm.control.*;
import org.ow2.sirocco.cloudmanager.business.*;
import org.ow2.sirocco.cloudmanager.event.*;
import org.ow2.sirocco.cloudmanager.model.*;
import org.ow2.sirocco.cloudmanager.vo.VirtualMachineExtendedInfo;

import mx.rpc.IResponder;
import mx.rpc.events.ResultEvent;


public class GetVirtualMachineExtendedInfoCommand extends SequenceCommand implements IResponder
{
    
    private var vmId : String;
    
    
    
    public function GetVirtualMachineExtendedInfoCommand()
    {
    }
    
    
    
    override public function execute(event : CairngormEvent) : void
    {
        // Set the "busy" cursor
        //CursorManager.setBusyCursor();
        
        var model : CloudModelLocator = CloudModelLocator.getInstance();
        
        var cEvent : GetVirtualMachineExtendedInfoEvent = event as GetVirtualMachineExtendedInfoEvent;
        vmId = cEvent.vmId;
        
        var delegate : GetVirtualMachineExtendedInfoDelegate = CloudModelLocator.getInstance().getVirtualMachineExtendedInfoDelegate;
        delegate.responder = this;
        
        model.loadingVirtualMachineExtendedInfo = true;
        
        delegate.getVirtualMachineExtendedInfo(vmId);
    }
    
    
    
    public function result(event : Object) : void
    {
        //CursorManager.removeAllCursors();
        
        var resultEvent : ResultEvent = event as ResultEvent;
        var virtualMachineExtendedInfo : VirtualMachineExtendedInfo = resultEvent.result as VirtualMachineExtendedInfo;
        
        // Gets the Model
        var model : CloudModelLocator = CloudModelLocator.getInstance();
        
        model.virtualMachineExtendedInfo = virtualMachineExtendedInfo;
        
        model.loadingVirtualMachineExtendedInfo = false;
    }
    
    
    
    /**
     * Manage failure : show the error message.
     */
    public function fault(event : Object) : void
    {
        //CursorManager.removeAllCursors();
        
        var model : CloudModelLocator = CloudModelLocator.getInstance();
        
        model.loadingVirtualMachineExtendedInfo = false;
        model.onCommandFault(event);
    }
}
}
