/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: GetVirtualMachinesByProjectCommand.as 760 2011-12-15 22:28:28Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.command
{
    
    import com.adobe.cairngorm.commands.*;
    import com.adobe.cairngorm.control.*;
    import org.ow2.sirocco.cloudmanager.business.*;
    import org.ow2.sirocco.cloudmanager.event.*;
    import org.ow2.sirocco.cloudmanager.model.*;
    
    import mx.collections.ArrayCollection;
    import mx.managers.CursorManager;
    import mx.rpc.IResponder;
    import mx.rpc.events.ResultEvent;
    
    
    public class GetVirtualMachinesByProjectCommand extends SequenceCommand implements IResponder
    
    {
        private var model : CloudModelLocator = CloudModelLocator.getInstance();
        
        
        
        public function GetVirtualMachinesByProjectCommand()
        {
        }
        
        
        
        override public function execute(event : CairngormEvent) : void
        {
            // Set the "busy" cursor
            //CursorManager.setBusyCursor();
            
            //this.model.loadingVirtualMachinesVoByProjectList = false;
            
            var delegate : GetVirtualMachinesByProjectDelegate = this.model.getVirtualMachinesByProjectDelegate;
            delegate.responder = this;
            
            delegate.getVirtualMachinesByProject(this.model.projectId);
        }
        
        
        
        public function result(event : Object) : void
        {
            CursorManager.removeAllCursors();
            
            var resultEvent : ResultEvent = event as ResultEvent;
            var arrayCollection : ArrayCollection = resultEvent.result as ArrayCollection;
            
            // set attributes in the model to update the UI
            this.model.virtualMachinesVoByProjectList.source = arrayCollection.source;
            
            // Update the virtualMachineImage to set the image name in VirtualMachineVO
            var getAllVMImagesEvent : GetAllVMImagesEvent = new GetAllVMImagesEvent();
            getAllVMImagesEvent.dispatch();
            
            this.model.virtualMachinesVoByProjectList.refresh();
            this.model.loadingVirtualMachinesVoByProjectList = false;
        }
        
        
        
        /**
         * Manage failure : show the error message.
         */
        public function fault(event : Object) : void
        {
            CursorManager.removeAllCursors();
            
            this.model.onCommandFault(event);
            this.model.virtualMachinesVoByProjectList.refresh();
            this.model.loadingVirtualMachinesVoByProjectList = false;
        }
    }
}


