/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: MigrateVirtualMachineCommand.as 760 2011-12-15 22:28:28Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.command
{

import com.adobe.cairngorm.commands.*;
import com.adobe.cairngorm.control.*;
import org.ow2.sirocco.cloudmanager.business.*;
import org.ow2.sirocco.cloudmanager.event.*;
import org.ow2.sirocco.cloudmanager.model.*;

import mx.managers.CursorManager;
import mx.rpc.IResponder;


public class MigrateVirtualMachineCommand extends SequenceCommand implements IResponder
{
    
    private var vmId : String;
    
    private var newHostId : String;
    
    
    
    public function MigrateVirtualMachineCommand()
    {
    }
    
    
    
    override public function execute(event : CairngormEvent) : void
    {
        // Set the "busy" cursor
        CursorManager.setBusyCursor();
        
        var migrateVirtualMachineEvent : MigrateVirtualMachineEvent = event as MigrateVirtualMachineEvent;
        this.vmId = migrateVirtualMachineEvent.vmId;
        this.newHostId = migrateVirtualMachineEvent.newHostId;
        
        var delegate : MigrateVirtualMachineDelegate = CloudModelLocator.getInstance().migrateVirtualMachineDelegate;
        delegate.responder = this;
        
        delegate.migrateVirtualMachine(vmId, newHostId);
    }
    
    
    
    public function result(event : Object) : void
    {
        CursorManager.removeAllCursors();
    }
    
    
    
    /**
    * Manage failure: show the error message.
    */
    public function fault(event : Object) : void
    {
        CursorManager.removeAllCursors();
        
        CloudModelLocator.getInstance().onCommandFault(event);
    }
}
}
