/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: RebootVirtualMachineCommand.as 760 2011-12-15 22:28:28Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.command
{

import com.adobe.cairngorm.commands.*;
import com.adobe.cairngorm.control.*;
import org.ow2.sirocco.cloudmanager.business.*;
import org.ow2.sirocco.cloudmanager.event.*;
import org.ow2.sirocco.cloudmanager.model.*;

import mx.managers.CursorManager;
import mx.rpc.IResponder;


public class RebootVirtualMachineCommand extends SequenceCommand implements IResponder
{
    
    private var _vmId : String;
    
    private var model : CloudModelLocator = CloudModelLocator.getInstance();
    
    
    
    public function RebootVirtualMachineCommand()
    {
    }
    
    
    
    override public function execute(event : CairngormEvent) : void
    {
        // Set the "busy" cursor
        CursorManager.setBusyCursor();
        
        var rebootVirtualMachineEvent : RebootVirtualMachineEvent = event as RebootVirtualMachineEvent;
        this.vmId = rebootVirtualMachineEvent.vmId;
        
        var delegate : RebootVirtualMachineDelegate = this.model.rebootVirtualMachineDelegate;
        delegate.responder = this;
        
        delegate.rebootVirtualMachine(this.vmId, this.model.sessionTokenId);
    }
    
    
    
    public function result(event : Object) : void
    {
        CursorManager.removeAllCursors();
    }
    
    
    
    /**
    * Manage failure : show the error message.
    */
    public function fault(event : Object) : void
    {
        CursorManager.removeAllCursors();
        
        model.onCommandFault(event);
    }
    
    
    
    public function get vmId() : String
    {
        return _vmId;
    }
    
    
    
    public function set vmId(value : String) : void
    {
        _vmId = value;
    }

}
}
