/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: UpdateProjectResourceQuotaCommand.as 760 2011-12-15 22:28:28Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.command
{
	
	import mx.collections.ArrayCollection;
	import mx.rpc.IResponder;
	import mx.rpc.events.FaultEvent;
	import mx.rpc.events.ResultEvent;
	import org.ow2.sirocco.cloudmanager.business.*;
	import org.ow2.sirocco.cloudmanager.event.*;
	import org.ow2.sirocco.cloudmanager.model.*;
	import org.ow2.sirocco.cloudmanager.vo.*;
	import com.adobe.cairngorm.control.*;
	import com.adobe.cairngorm.commands.*;
	import mx.controls.Alert;
	import mx.managers.CursorManager;
	import mx.messaging.messages.ErrorMessage;
	
	public class UpdateProjectResourceQuotaCommand extends SequenceCommand implements IResponder
	{
		
		private var projectId:String;
		private var quota:ResourceQuotaVO;
		
		public function UpdateProjectResourceQuotaCommand()
		{
		}
		
		override public function execute(event:CairngormEvent):void
		{
			// Set the "busy" cursor
			//CursorManager.setBusyCursor();
			
			var updateProjectResourceQuotaEvent:UpdateProjectResourceQuotaEvent = event as UpdateProjectResourceQuotaEvent;
			projectId = updateProjectResourceQuotaEvent.projectId;
			quota = updateProjectResourceQuotaEvent.quota;
			
			var delegate:UpdateProjectResourceQuotaDelegate = CloudModelLocator.getInstance().updateProjectResourceQuotaDelegate;
			delegate.responder = this;
			
			delegate.updateProjectResourceQuota(projectId, quota);
		}
		
		public function result(event:Object):void
		{
			//CursorManager.removeAllCursors();
		
		}
		
		/**
		 * Manage failure : show the error message.
		 */
		public function fault(event:Object):void
		{
			//CursorManager.removeAllCursors();
			
			CloudModelLocator.getInstance().onCommandFault(event);
		}
	}
}
