/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: UpdateUserPasswordsCommand.as 760 2011-12-15 22:28:28Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.command {

    import com.adobe.cairngorm.commands.*;
    import com.adobe.cairngorm.control.*;
    import org.ow2.sirocco.cloudmanager.business.*;
    import org.ow2.sirocco.cloudmanager.event.*;
    import org.ow2.sirocco.cloudmanager.model.*;
    
    import mx.managers.CursorManager;
    import mx.rpc.IResponder;

    public class UpdateUserPasswordsCommand extends SequenceCommand implements IResponder {

        private var username : String;
        private var webPassword : String;
        private var apiPassword : String;
        
        public function UpdateUserPasswordsCommand()
        {
        }

        override public function execute(event : CairngormEvent) : void {
        	// Set the "busy" cursor
            CursorManager.setBusyCursor();
        	
            var updateUserPasswordsEvent : UpdateUserPasswordsEvent = event as UpdateUserPasswordsEvent;
            username = updateUserPasswordsEvent.username;
            webPassword = updateUserPasswordsEvent.webPassword;
            apiPassword = updateUserPasswordsEvent.apiPassword;
            
            var delegate : UpdateUserPasswordsDelegate = CloudModelLocator.getInstance().updateUserPasswordsDelegate;
            delegate.responder = this;

            delegate.updateUserPasswords(username, webPassword, apiPassword);
        }

        public function result(event : Object) : void {
            CursorManager.removeAllCursors();
            
            var model : CloudModelLocator = CloudModelLocator.getInstance();
            
            var getUserByUsernameEvent:GetUserByUsernameEvent = new GetUserByUsernameEvent(model.username);
            getUserByUsernameEvent.dispatch();
         }
         
         /**
         * Manage failure : show the error message.
         */
        public function fault(event : Object) : void {
            CursorManager.removeAllCursors();

           var model : CloudModelLocator = CloudModelLocator.getInstance();
           
           model.onCommandFault(event);
        }
    }
}
