/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: UserLogoutCommand.as 760 2011-12-15 22:28:28Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.command
{
import com.adobe.cairngorm.commands.ICommand;
import com.adobe.cairngorm.control.CairngormEvent;
import org.ow2.sirocco.cloudmanager.business.DataPushListener;
import org.ow2.sirocco.cloudmanager.business.UserLogoutDelegate;
import org.ow2.sirocco.cloudmanager.model.CloudModelLocator;

import mx.controls.Alert;
import mx.resources.IResourceManager;
import mx.resources.ResourceManager;
import mx.rpc.IResponder;


public class UserLogoutCommand implements ICommand, IResponder
{
    public var modelLocator : CloudModelLocator = CloudModelLocator.getInstance();
    
    
    
    public function UserLogoutCommand()
    {
    }
    
    
    
    public function execute(event : CairngormEvent) : void
    {
        var delegate : UserLogoutDelegate = new UserLogoutDelegate();
        
        DataPushListener.getInstance().disconnect();
        
        delegate.responder = this;
        
        delegate.userLogout(modelLocator.sessionTokenId);
    }
    
    
    
    public function result(event : Object) : void
    {
        var isOk : Boolean = (event.result == true);
        
        if (isOk)
        {
            this.modelLocator.reset();
            this.modelLocator.workflowState = CloudModelLocator.LOGIN_SCREEN;
        }
        else
        {
            Alert.show("Logout failed!", "Error");
        }
    }
    
    
    
    public function fault(event : Object) : void
    {
    }
}
}
