/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: OOCController.as 754 2011-12-15 18:20:47Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.control
{
    import com.adobe.cairngorm.control.FrontController;
    
    import org.ow2.sirocco.cloudmanager.command.*;
    import org.ow2.sirocco.cloudmanager.event.*;
    
    
    public class CloudController extends FrontController
    {
        public function CloudController()
        {
            initializeCommands();
        }
        
        
        
        public function initializeCommands() : void
        {
            addCommand(UserLogoutEvent.USER_LOGOUT, UserLogoutCommand);
            addCommand(AuthenticateUserEvent.AUTHENTICATE_USER, AuthenticateUserCommand);
            addCommand(CreateVirtualMachineEvent.CREATE_VIRTUAL_MACHINE, CreateVirtualMachineCommand);
            addCommand(CreateVMImageEvent.CREATE_VM_IMAGE, CreateVMImageCommand);
            addCommand(CreateProjectEvent.CREATE_PROJECT, CreateProjectCommand);
            addCommand(CreateUserEvent.CREATE_USER, CreateUserCommand);
            addCommand(DestroyVirtualMachineEvent.DESTROY_VIRTUAL_MACHINE, DestroyVirtualMachineCommand);
            addCommand(DestroyVMImageEvent.DESTROY_VM_IMAGE, DestroyVMImageCommand);
            addCommand(DestroyProjectEvent.DESTROY_PROJECT, DestroyProjectCommand);
            addCommand(GetAllVirtualMachinesEvent.GET_ALL_VIRTUAL_MACHINES, GetAllVirtualMachinesCommand);
            addCommand(GetVirtualMachinesByProjectEvent.GET_VIRTUAL_MACHINES_BY_PROJECT, GetVirtualMachinesByProjectCommand);
            addCommand(GetAllVMImagesEvent.GET_ALL_VM_IMAGES, GetAllVMImagesCommand);
            addCommand(GetAllProjectsEvent.GET_ALL_PROJECTS, GetAllProjectsCommand);
            addCommand(GetAllUsersEvent.GET_ALL_USERS, GetAllUsersCommand);
            addCommand(GetCloudProviderLocationsEvent.GET_CLOUD_PROVIDER_LOCATIONS, GetCloudProviderLocationsCommand);
            addCommand(GetUserByUsernameEvent.GET_USER_BY_USERNAME, GetUserByUsernameCommand);
            addCommand(GetUserLdapInfoByUsernameEvent.GET_USER_LDAP_INFO_BY_USERNAME, GetUserLdapInfoByUsernameCommand);
            addCommand(GetProjectResourceConsumptionEvent.GET_PROJECT_RESOURCE_COMSUMPTION, GetProjectResourceConsumptionCommand);
            addCommand(GetVirtualMachineByVmIdEvent.GET_VIRTUAL_MACHINE_BY_VM_ID, GetVirtualMachineByVmIdCommand);
            addCommand(GetVMImagesByProjectEvent.GET_VM_IMAGES_BY_PROJECT, GetVMImagesByProjectCommand);
            addCommand(GetProjectsByUserEvent.GET_PROJECTS_BY_USER, GetProjectsByUserCommand);
            addCommand(GetVMSizeNameEvent.GET_VM_SIZE_NAME, GetVMSizeNameCommand);
            addCommand(RebootVirtualMachineEvent.REBOOT_VIRTUAL_MACHINE, RebootVirtualMachineCommand);
            addCommand(UpdateVirtualMachineExpirationDateEvent.UPDATE_VM_EXPIRATION_DATE, UpdateVirtualMachineExpirationDateCommand);
            addCommand(StartVirtualMachineEvent.START_VIRTUAL_MACHINE, StartVirtualMachineCommand);
            addCommand(StopVirtualMachineEvent.STOP_VIRTUAL_MACHINE, StopVirtualMachineCommand);
            addCommand(PauseVirtualMachineEvent.PAUSE_VIRTUAL_MACHINE, PauseVirtualMachineCommand);
            addCommand(UnpauseVirtualMachineEvent.UNPAUSE_VIRTUAL_MACHINE, UnpauseVirtualMachineCommand);
            addCommand(UpdateUserSSHKeyEvent.UPDATE_USER_SSH_KEY, UpdateUserSSHKeyCommand);
            addCommand(GetProjectResourceQuotaEvent.GET_PROJECT_RESOURCE_QUOTA, GetProjectResourceQuotaCommand);
            addCommand(UpdateProjectResourceQuotaEvent.UPDATE_PROJECT_RESOURCE_QUOTA, UpdateProjectResourceQuotaCommand);
            addCommand(AddUserToProjectEvent.ADD_USER_PROJECT, AddUserToProjectCommand);
            addCommand(UpdateUserPasswordsEvent.UPDATE_USER_PASSWORDS, UpdateUserPasswordsCommand);
            addCommand(UpdateVMImageEvent.UPDATE_VM_IMAGE, UpdateVMImageCommand);
            addCommand(GetVirtualMachineConsoleEvent.GET_VIRTUAL_MACHINE_CONSOLE, GetVirtualMachineConsoleCommand);
            addCommand(GetVirtualMachinesByHostEvent.GET_VIRTUAL_MACHINES_BY_HOST, GetVirtualMachinesByHostCommand);
            addCommand(GetDataCenterResourceTreeEvent.GET_DATA_CENTER_RESOURCE_TREE, GetDataCenterResourceTreeCommand);
            addCommand(GetVirtualMachineExtendedInfoEvent.GET_VIRTUAL_MACHINE_EXTENDED_INFO, GetVirtualMachineExtendedInfoCommand);
            addCommand(GetVirtualMachinesCPULoadEvent.GET_VIRTUAL_MACHINES_CPU_LOAD, GetVirtualMachinesCPULoadCommand);
            addCommand(GetVirtualMachinesMemoryUsedEvent.GET_VIRTUAL_MACHINES_MEMORY_USED, GetVirtualMachinesMemoryUsedCommand);
            addCommand(GetHostPerfMetricInfosEvent.GET_HOST_PERF_METRIC_INFOS, GetHostPerfMetricInfosCommand);
            addCommand(GetVirtualMachinePerfMetricInfosEvent.GET_VIRTUAL_MACHINE_PERF_METRIC_INFOS, GetVirtualMachinePerfMetricInfosCommand);
            addCommand(GetHostPerfMetricsEvent.GET_HOST_PERF_METRICS, GetHostPerfMetricsCommand);
            addCommand(GetVirtualMachinePerfMetricsEvent.GET_VIRTUAL_MACHINE_PERF_METRICS, GetVirtualMachinePerfMetricsCommand);
            addCommand(MigrateVirtualMachineEvent.MIGRATE_VIRTUAL_MACHINE, MigrateVirtualMachineCommand);
            addCommand(DeleteUserEvent.DELETE_USER, DeleteUserCommand);
            addCommand(DeleteUserFromProjectEvent.DELETE_USER_FROM_PROJECT, DeleteUserFromProjectCommand);
            addCommand(FindEventsEvent.FIND_EVENTS, FindEventsCommand);
            addCommand(GetVMSizesEvent.GET_VM_SIZES, GetVMSizesCommand);
            addCommand(GetDbParametersEvent.GET_DB_PARAMETERS, GetDbParametersCommand);
            addCommand(GetAllVolumesEvent.GET_ALL_VOLUMES, GetAllVolumesCommand);
            addCommand(GetVolumesByProjectEvent.GET_VOLUMES_BY_PROJECT, GetVolumesByProjectCommand);
            addCommand(CreateVolumeEvent.CREATE_VOLUME, CreateVolumeCommand);
            addCommand(DestroyVolumeEvent.DESTROY_VOLUME, DestroyVolumeCommand);
            addCommand(AttachVolumeToVirtualMachineEvent.ATTACH_VOLUME_TO_VIRTUAL_MACHINE, AttachVolumeToVirtualMachineCommand);
            addCommand(DetachVolumeFromVirtualMachineEvent.DETACH_VOLUME_FROM_VIRTUAL_MACHINE, DetachVolumeFromVirtualMachineCommand);
            addCommand(GetCloudProviderAccountsByProjectEvent.GET_CLOUD_PROVIDER_ACCOUNTS_BY_PROJECT, GetCloudProviderAccountsByProjectCommand);
            addCommand(GetCloudProvidersEvent.GET_CLOUD_PROVIDERS, GetCloudProvidersCommand);
        }
    }
}

