/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: CreateProjectEvent.as 784 2011-12-21 11:02:55Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.event
{

import com.adobe.cairngorm.control.CairngormEvent;
import org.ow2.sirocco.cloudmanager.business.Visibility;
import org.ow2.sirocco.cloudmanager.business.VirtualMachine$Status;


public class CreateProjectEvent extends CairngormEvent
{
    
    // Name of the Event.
    public static const CREATE_PROJECT : String = "createProject";
    
    private var _projectName : String;
    
    private var _description : String;
    
    private var _owner : String;
    
    
    
    public function CreateProjectEvent(projectName : String, description : String, owner : String)
    {
        super(CREATE_PROJECT);
        this._projectName = projectName;
        this._description = description;
        this._owner = owner;
    }
    
    
    
    public function get description() : String
    {
        return _description;
    }
    
    
    
    public function set description(value : String) : void
    {
        _description = value;
    }
    
    
    
    public function get projectName() : String
    {
        return _projectName;
    }
    
    
    
    public function set projectName(value : String) : void
    {
        _projectName = value;
    }
    
    
    
    public function get owner() : String
    {
        return _owner;
    }
    
    
    
    public function set owner(value : String) : void
    {
        _owner = value;
    }

}

}
