/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: CreateVirtualMachineEvent.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.event
{
    
    import com.adobe.cairngorm.control.CairngormEvent;
    
    import org.ow2.sirocco.cloudmanager.vo.*;
    
    public class CreateVolumeEvent extends CairngormEvent
    {
        
        public static const CREATE_VOLUME:String="createVolume";
        private var _username:String;
        private var _projectId:String
        private var _cloudProviderAccountId:String;
        private var _location:CloudProviderLocation;
        private var _spec:VolumeCreate;
        
        public function CreateVolumeEvent(projectId:String,  username:String, cloudProviderAccountId:String, location:CloudProviderLocation, spec:VolumeCreate)
        {
            super(CREATE_VOLUME);
            this._username=username;
            this._projectId=projectId;
            this._cloudProviderAccountId=cloudProviderAccountId;
            this._location=location;
            this._spec=spec;
        }
        
        public function get spec():VolumeCreate
        {
            return _spec;
        }
        
        public function set spec(value:VolumeCreate):void
        {
            _spec = value;
        }
        
        public function get username():String
        {
            return _username;
        }
        
        public function set username(value:String):void
        {
            _username = value;
        }
        
        public function get projectId():String
        {
            return _projectId;
        }
        
        public function set projectId(value:String):void
        {
            _projectId = value;
        }
        
        public function get cloudProviderAccountId():String
        {
            return _cloudProviderAccountId;
        }
        
        public function set cloudProviderAccountId(value:String):void
        {
            _cloudProviderAccountId = value;
        }
        
        public function get location():CloudProviderLocation
        {
            return _location;
        }
        
        public function set location(value:CloudProviderLocation):void
        {
            _location = value;
        }
    }
}


