/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: DelVirtualMachineEvent.as 825 2012-01-11 17:11:37Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.event.dataPush
{
    import flash.utils.IDataInput;
    import flash.utils.IDataOutput;
    import flash.utils.IExternalizable;
    
    
    [Bindable]
    [RemoteClass(alias = "org.ow2.sirocco.cloudmanager.service.event.DelVirtualMachineEvent")]
    public class DelVirtualMachineEvent extends CloudAdminEvent implements IExternalizable
    {
        
        private var _vmId : String;
        
        private var _hostId : String;
        
        
        
        public function DelVirtualMachineEvent(vmId : String = null, hostId : String = null)
        {
            this.vmId = vmId;
            this.hostId = hostId;
        }
        
        
        
        public function get hostId() : String
        {
            return _hostId;
        }
        
        
        
        public function set hostId(hostId : String) : void
        {
            this._hostId = hostId;
        }
        
        
        
        public function readExternal(input : IDataInput) : void
        {
            this.vmId = input.readObject() as String;
            this.hostId = input.readObject() as String;
        }
        
        
        
        public function writeExternal(output : IDataOutput) : void
        {
            output.writeObject(this.vmId);
            output.writeObject(this.hostId);
        }
        
        
        
        public function get vmId() : String
        {
            return _vmId;
        }
        
        
        
        public function set vmId(value : String) : void
        {
            _vmId = value;
        }
    
    }

}


