/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: VMMigrationEvent.as 825 2012-01-11 17:11:37Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.event.dataPush
{
    import flash.utils.IDataInput;
    import flash.utils.IDataOutput;
    import flash.utils.IExternalizable;
    
    
    [Bindable]
    [RemoteClass(alias = "org.ow2.sirocco.cloudmanager.service.event.VMMigrationEvent")]
    public class VMMigrationEvent extends CloudAdminEvent implements IExternalizable
    {
        
        private var _vmId : String;
        
        private var _fromHostId : String;
        
        private var _toHostId : String;
        
        
        
        public function VMMigrationEvent(id : String = null, fromHostId : String = null, toHostId : String = null)
        {
            this.vmId = id;
            this.fromHostId = fromHostId;
            this.toHostId = toHostId;
        }
        
        
        
        public function get fromHostId() : String
        {
            return _fromHostId;
        }
        
        
        
        public function set fromHostId(fromHostId : String) : void
        {
            this._fromHostId = fromHostId;
        }
        
        
        
        public function get toHostId() : String
        {
            return _toHostId;
        }
        
        
        
        public function set toHostId(toHostId : String) : void
        {
            this._toHostId = toHostId;
        }
        
        
        
        public function readExternal(input : IDataInput) : void
        {
            _vmId = input.readObject() as String;
            _fromHostId = input.readObject() as String;
            _toHostId = input.readObject() as String;
        }
        
        
        
        public function writeExternal(output : IDataOutput) : void
        {
            output.writeObject(_vmId);
            output.writeObject(_fromHostId);
            output.writeObject(_toHostId);
        }
        
        
        
        public function get vmId() : String
        {
            return _vmId;
        }
        
        
        
        public function set vmId(value : String) : void
        {
            _vmId = value;
        }
    
    }

}


