/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: VirtualMachineSpec.as 788 2011-12-21 11:49:55Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.vo
{
    
    import com.adobe.cairngorm.vo.IValueObject;
    
    
    [RemoteClass(alias = "org.ow2.sirocco.cloudmanager.provider.api.entity.vo.VirtualMachineSpec")]
    [Bindable]
    public class VirtualMachineSpec implements IValueObject
    {
        
        public var vmName : String;
        
        public var sizeName : String;
        
        public var memorySizeMB : Number;
        
        public var diskSizeMB : Number;
        
        public var numCPUs : Number;
        
        public var speedInMHz: Number;
        
        public var imageId : int;
        
        public var cloudProviderLocation : CloudProviderLocation;
        
        public var dnsName : String;
        
        public var userData : Object;
        
        public var networkParameters : Object;
        
        public var additionalProperties : Object;
        
        public var expirationDate : Date;
        
        
        
        public function VirtualMachineSpec()
        {
            super();
        
        }
        
        
        
        public function toString() : String
        {
            return "VirtualMachineSpec {imageId = " + imageId + ",name = " + vmName + ",memorySizeMB = " + memorySizeMB + ",diskSizeMB = " + diskSizeMB + ",numCPUs = " + numCPUs + ",location = " + cloudProviderLocation + ",DNS name=" + dnsName + "}";
        }
    }

}


